Get Usage Timeseries
GET /usage/timeseriesParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
from | query | string (date-time) | null | optional | — |
to | query | string (date-time) | null | optional | — |
interval | query | hour | day | week | month | optional | Default "day". |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | UsageTimeseriesView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/usage/timeseries \ -H "Authorization: Bearer $COBRE_TOKEN"Response — UsageTimeseriesView
Section titled “Response — UsageTimeseriesView”| Field | Type | Notes | |
|---|---|---|---|
window_start | string (date-time) | required | — |
window_end | string (date-time) | required | — |
interval | hour | day | week | month | required | — |
currency | string | optional | Default "USD". |
points | UsageTimeseriesPoint[] | optional | — |